Bug 956496 - CheckMK is trying to access nonexistent /usr/local/nagios/var/spool/checkresults
Summary: CheckMK is trying to access nonexistent /usr/local/nagios/var/spool/checkresults
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: check-mk
Version: 18
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea Veri
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-25 05:52 UTC by Jan ONDREJ
Modified: 2013-08-26 22:29 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-22 03:10:42 UTC


Attachments (Terms of Use)

Description Jan ONDREJ 2013-04-25 05:52:02 UTC
Description of problem:
/usr/local should never be used in Fedora packages. Please update this path and also create /var/spool/checkresults with proper permissions (nagios:nagios and may be 0700).

Version-Release number of selected component (if applicable):
check-mk-agent-1.2.2-3.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
UNKNOWN - Cannot create check result file in /usr/local/nagios/var/spool/checkresults: [Errno 2] No such file or directory: '/usr/local/nagios/var/spool/checkresults/c9xmwnY', execution time 0.1 sec 

Expected results:


Additional info:
I am not sure if this is OK, but all other services are still in pending state. Does they wait for CheckMK main service to run? Or is this another bug?

Comment 1 Jan ONDREJ 2013-04-25 06:26:11 UTC
And there are more bugs with directories. Not wringing a new bug, bug check_mk_templates.cfg contains paths to /usr/lib/nagios on an 64bit system, which doesn't exists. Please update it to /usr/lib64/nagios on x86_64.

Comment 2 Andrea Veri 2013-04-26 08:26:23 UTC
Thanks for your reports, I'll be working on fixing them as soon as possible.

Comment 3 Fedora Update System 2013-04-27 14:36:19 UTC
check-mk-1.2.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-3.el6

Comment 4 Fedora Update System 2013-04-27 14:36:51 UTC
check-mk-1.2.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-4.fc19

Comment 5 Fedora Update System 2013-04-27 14:37:16 UTC
check-mk-1.2.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-4.fc18

Comment 6 Fedora Update System 2013-04-27 17:28:31 UTC
Package check-mk-1.2.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing check-mk-1.2.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6806/check-mk-1.2.2-4.fc19
then log in and leave karma (feedback).

Comment 7 Jan ONDREJ 2013-04-28 13:54:19 UTC
(In reply to comment #1)
> And there are more bugs with directories. Not wringing a new bug, bug
> check_mk_templates.cfg contains paths to /usr/lib/nagios on an 64bit system,
> which doesn't exists. Please update it to /usr/lib64/nagios on x86_64.

This looks to be not fixed in check-mk-1.2.2-4.fc18.x86_64.

You can use something like this in spec file:
  sed -i 's|/usr/lib/nagios/plugins|%{_libdir}/nagios/plugins|' \
     %{buildroot}%{_sysconfdir}/nagios/conf.d/check_mk_templates.cfg

This should work for i386 and x86_64 targets too.

Comment 8 Andrea Veri 2013-04-28 17:12:26 UTC
Argh, I didn't spot your comment on the body of this bug report. I've committed the fix to git.

Comment 9 Jan ONDREJ 2013-04-30 06:15:33 UTC
(In reply to comment #8)
> Argh, I didn't spot your comment on the body of this bug report. I've
> committed the fix to git.

Please, can you make a testing build for Fedora 18?

Comment 10 Andrea Veri 2013-05-02 16:57:57 UTC
Submitted the build and the update to F18.

Comment 11 Fedora Update System 2013-05-02 16:59:54 UTC
check-mk-1.2.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-5.fc18

Comment 12 Fedora Update System 2013-05-22 03:10:42 UTC
check-mk-1.2.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-08-02 07:33:02 UTC
check-mk-1.2.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-5.fc19

Comment 14 Fedora Update System 2013-08-02 07:36:50 UTC
check-mk-1.2.2-5.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-5.fc18.1

Comment 15 Fedora Update System 2013-08-26 22:28:26 UTC
check-mk-1.2.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-08-26 22:29:17 UTC
check-mk-1.2.2-5.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.